Bug 1106837 - Empty service warning for new repository in YaST
Empty service warning for new repository in YaST
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
aarch64 openSUSE Factory
: P3 - Medium : Minor (vote)
: ---
Assigned To: Ladislav Slezák
Jiri Srain
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-01 19:32 UTC by Andreas Färber
Modified: 2021-02-18 14:32 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Färber 2018-09-01 19:32:03 UTC
In YaST repositories I've run into warning dialogs like the following:

Warning
Repository 'OBS AF Kernel:stable:Arm' is managed by service ''.
Your manual changes might be reset by the next service refresh!

To reproduce, run yast repositories, add a new repo (custom URL from OBS), afterwards select it in list of repositories and change the Priority. This dialog will come up once, but not on subsequent changes, not even after restarting yast.

Looks as if some service variable is checked for null rather than empty-string?

This did not happen a few weeks/months ago.
Comment 2 Ladislav Slezák 2018-09-03 12:17:07 UTC
Yes, there is the nil vs. "" issue... I'll fix that.
Comment 3 Ladislav Slezák 2018-09-03 13:10:00 UTC
Fixed in yast2-packager-4.1.4 (https://github.com/yast/yast-packager/pull/373)